View Issue Details

IDProjectCategoryView StatusLast Update
17351Bug reportsSurvey editingpublic2021-06-14 16:10
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynormalSeveritypartial_block 
Status testingResolutionfixed 
Product Version3.25.20 
Summary17351: Also check that GD implement jpeg support
DescriptionWhen working on 17347, we got to the following error:
`Cannot find any of the supported PHP image extensions!`

We understand this is talking about the requirements during installation, but almost sure, they were complied.
Is it talking maybe about somehting else?
Steps To ReproduceSame as 17347

1. Create and save new survey
2. Go to "Textelements" (In german its "Texteelemente", i hope its the right translation)
3. Edit survey description
4. Click on "Upload Image" button
5. Pick image in dialog per button (attachment 2)
6.It opens a new modal window with the error (attachment 3)
Additional InformationThis could happen as well on master.
Need to review.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.25.20
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)Windows + Unix
Webserver software & version (if known)
PHP Version8

Activities

ollehar

ollehar

2021-06-04 17:06

administrator   ~64747

Time to add a test for file manager?
ollehar

ollehar

2021-06-07 14:35

administrator   ~64768

> `Cannot find any of the supported PHP image extensions!`

This only happens when you don't have gd installed. I installed it and now get a white square instead.
ollehar

ollehar

2021-06-07 14:35

administrator   ~64769

Selection_999(408).png (259,495 bytes)
gabrieljenik

gabrieljenik

2021-06-07 20:45

manager   ~64773

OK, we have re-installed GD extension with JPEG support and now works.
There was no sign of that on the installer check.

In my case, GD is installed, but it has no JPEG support.
The installer says GD is available. It's checked like this:
```
        if (function_exists('gd_info')) {
            $aData['gdPresent'] = $this->check_HTML_image(array_key_exists('FreeType Support', gd_info()));
        } else {
            $aData['gdPresent'] = $this->check_HTML_image(false);
        }
```
Note that it doesn't have FreeText support either, but the installer only checks if the key exists (it doesn't check if there is actually support, but I'm not sure if it's needed).

@ollehar Should we review this installer check as to ensure JPEG support is there?

On the other hand, KCFinder checks the availability of GD driver like this:
```
    static function available() {
        return function_exists("imagecreatefromjpeg");
    }
```
So, basically the installer confirms GD is installed (it's true), but KCFinder cannot use it.
image.png (84,503 bytes)   
image.png (84,503 bytes)   
image-2.png (46,628 bytes)   
image-2.png (46,628 bytes)   
image-3.png (20,303 bytes)   
image-3.png (20,303 bytes)   
ollehar

ollehar

2021-06-08 09:41

administrator   ~64778

Maybe open a separate ticket for that, Gabriel?
ollehar

ollehar

2021-06-08 10:16

administrator   ~64779

Or, you mean, everything works with GD + jpeg support? Have to check my own config.
ollehar

ollehar

2021-06-08 10:23

administrator   ~64780

Changed priority and title. You can keep this bug report and implement your suggested solution.
gabrieljenik

gabrieljenik

2021-06-10 17:42

manager   ~64854

Checking that GD supports JPEG during install checks
We may consider doing this also during upgrade?

LTS: https://github.com/LimeSurvey/LimeSurvey/pull/1917
Master: https://github.com/LimeSurvey/LimeSurvey/pull/1918
gabrieljenik

gabrieljenik

2021-06-14 16:09

manager   ~64891

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32078
gabrieljenik

gabrieljenik

2021-06-14 16:10

manager   ~64892

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32079

Related Changesets

LimeSurvey: master ace6944c

2021-06-14 15:57:16

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17351: Also check that GD implement jpeg support (#1918)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17351
mod - application/models/InstallerConfigForm.php Diff File
mod - application/views/installer/precheck_view.php Diff File

LimeSurvey: 3.x-LTS cfb22da7

2021-06-14 15:58:03

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17351: Also check that GD implement jpeg support (#1917)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17351
mod - application/controllers/InstallerController.php Diff File

Issue History

Date Modified Username Field Change
2021-06-03 20:25 gabrieljenik New Issue
2021-06-04 17:03 ollehar Assigned To => ollehar
2021-06-04 17:03 ollehar Status new => confirmed
2021-06-04 17:06 ollehar Note Added: 64747
2021-06-05 11:18 ollehar Priority none => immediate
2021-06-07 14:35 ollehar Note Added: 64768
2021-06-07 14:35 ollehar Note Added: 64769
2021-06-07 14:35 ollehar File Added: Selection_999(408).png
2021-06-07 20:45 gabrieljenik Note Added: 64773
2021-06-07 20:45 gabrieljenik File Added: image.png
2021-06-07 20:45 gabrieljenik File Added: image-2.png
2021-06-07 20:45 gabrieljenik File Added: image-3.png
2021-06-08 09:41 ollehar Note Added: 64778
2021-06-08 10:16 ollehar Note Added: 64779
2021-06-08 10:23 ollehar Priority immediate => normal
2021-06-08 10:23 ollehar Summary Image Extension are missing on PHP8 => Also check that GD implement jpeg support
2021-06-08 10:23 ollehar Note Added: 64780
2021-06-09 13:41 ollehar Severity crash => partial_block
2021-06-10 17:42 gabrieljenik Note Added: 64854
2021-06-10 17:43 gabrieljenik Status confirmed => testing
2021-06-14 16:09 gabrieljenik Changeset attached => LimeSurvey master ace6944c
2021-06-14 16:09 gabrieljenik Note Added: 64891
2021-06-14 16:09 gabrieljenik Assigned To ollehar => gabrieljenik
2021-06-14 16:09 gabrieljenik Resolution open => fixed
2021-06-14 16:10 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS cfb22da7
2021-06-14 16:10 gabrieljenik Note Added: 64892